Autor Zpráva
sorajek
Profil *
Dobrý den,

používáme ve své aplikaci Google Maps API verze 2. Dozvěděli jsme se, že Google oznámil konec této verze, viz. info na google:

Note: The Google Maps JavaScript API Version 2 has been officially deprecated as of May 19, 2010. The V2 API will continue to work until May 19, 2013. We encourage you to migrate your code to version 3 of the Maps JavaScript API.


Neví někdo, zda se to týká ukončení pouze podpory nebo weby postavené na této verzi mají zkrátka smůlu (přechod na verzi 3) a funkčnost bude ukončena?

Děkuji za informace.

S pozdravem
Pavel
Chamurappi
Profil
Reaguji na sorajka:
Tipnul bych si spíš tu smůlu. Jak by sis představoval ukončení pouze podpory? Že by k ní jen smazali dokumentaci, aby měli na serverech víc místa?
Jestli to datum ukončení stanovili někdy před třemi roky, tak je možné, že s ním ještě nějak hnou, v závislosti na tom, jak moc je verze 2 ještě používaná.
soucekgns
Profil
sorajek:
Překlad: GMJS API v2 bylo oficiálně označeno jako zastaralé (=nepoužívané) dne 19. 5. 2010. V2 bude fungovat do 19. 5. 2013. Doporučujeme migrovat váš kód na v3.
To znamená, že již 3 roky by se v2 neměla používat a že 19. 5. 2013 definitivně přestává fungovat = 20. 5. se již tvoje aplikace nenačte.

Možná je to jinak, ale z tohoto jasně vyplývá to, co jsem zde napsal.

Chamurappi:
Že by k ní jen smazali dokumentaci, aby měli na serverech víc místa?
To asi nebude ten problém:) Každý druhý uživatel bude mít na googlu víc dat než zabírá ta dokumentace.
tak je možné, že s ním ještě nějak hnou
To nepředpokládám, google si za daty ukončení služeb stojí.. a ještě když to oznámili takhle dopředu, aby se na to mohli uživatelé připravit.
Pro google je to zbytečná zátěž, vždy se snaží protlačit nové i za cenu zrušení používaných služeb (verzí).

Edit: Přidána reakce na Chamurappi

Vaše odpověď

Mohlo by se hodit

Neumíte-li správně určit příčinu chyby, vkládejte odkazy na živé ukázky.
Užíváte-li nějakou cizí knihovnu, ukažte odpovídajícím, kde jste ji vzali.

Užitečné odkazy:

Prosím používejte diakritiku a interpunkci.

Ochrana proti spamu. Napište prosím číslo dvě-sta čtyřicet-sedm: